Skip to main content
GET
List proposals

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Query Parameters

page
integer
default:1
Required range: 1 <= x <= 9007199254740991
per_page
integer
default:25
Required range: 1 <= x <= 100
state
enum<string>
Available options:
draft,
proposed,
approved,
executing,
succeeded,
partially_succeeded,
failed,
denied,
canceled,
expired
conversation_uuid
string<uuid>

Only proposals from this assistant conversation. The conversation must belong to the calling user; any other returns 404.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

200 - application/json

Default Response

data
object[]
required
pagination
object
required